## treelib 1.6.4

=== debian/changelog ===
treelib (1.6.4-1) sid; urgency=medium

  * Initial upload to sid, required dependency for arista-avd.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 11 May 2023 10:46:42 +0200
