=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=treelib

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_installexamples:
	# correcting shebang
	sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/python3|' debian/python3-treelib/usr/share/doc/python3-treelib/examples/*.py
