## treelib 1.7.0

=== debian/changelog ===
treelib (1.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Sep 2023 10:59:06 +0200

treelib (1.6.4-3) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1049152).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 12:15:21 +0200

treelib (1.6.4-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading source-only without changes to allow testing migration.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 21:16:46 +0200
