=== debian/control ===
Source: treelib
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-six <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/caesar0301/treelib
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/treelib
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/treelib

Package: python3-treelib
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python implementation of tree structure
 treelib is a simple tree data structure implementation in Python.
