=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/treelib-$1\.tar\.gz/ \
https://github.com/caesar0301/treelib/tags .*/v?(\d\S+)\.tar\.gz
