## treelib 1.7.1

=== debian/changelog ===
treelib (1.7.1-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:39:23 +0200

treelib (1.7.1-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 1.7.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Mar 2025 09:29:48 +0100

treelib (1.7.0-3) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Updating email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 15:52:34 +0100

treelib (1.7.0-2) sid; urgency=medium

  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:54:18 +0200
