=== debian/control ===
Source: treelib
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-six <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/caesar0301/treelib
Vcs-Browser: https://forgejo.debian.net/arista/treelib
Vcs-Git: https://forgejo.debian.net/arista/treelib

Package: python3-treelib
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python implementation of tree structure
 treelib is a simple tree data structure implementation in Python.
