=== debian/changelog ===
treelib (1.8.0-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:35:49 +0200

treelib (1.8.0-1) experimental; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 1.8.0.
  * Adding newly required pybuild-plugin-pyproject to build-depends.
  * Adding newly required python3-poetry-core to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jul 2025 06:27:12 +0200

treelib (1.7.1-3) experimental; urgency=medium

  * Harmonizing upstream urls.
  * Correcting wrong upstream project name in copyright.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 May 2025 04:49:06 +0200
