=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
  python3-setuptools,
  python3-six <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/caesar0301/treelib
-Vcs-Browser: https://forgejo.debian.net/arista/treelib
-Vcs-Git: https://forgejo.debian.net/arista/treelib
+Vcs-Browser: https://forgejo.debian.net/python/treelib
+Vcs-Git: https://forgejo.debian.net/python/treelib
 
 Package: python3-treelib
 Section: python
