=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 %:
 	dh ${@} --buildsystem=pybuild
 
+execute_after_dh_auto_clean:
+	# help pybuild
+	rm -rf *.egg-info
+
 execute_after_dh_installexamples:
 	# correcting shebang
 	sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/python3|' debian/python3-treelib/usr/share/doc/python3-treelib/examples/*.py
