=== debian/watch ===
version=4
https://github.com/caesar0301/treelib/tags .*/v?(\d.*)@ARCHIVE_EXT@
